<?php

$skipinvlicCheck = TRUE;

include '../../login.php';
require_once '../../permissions.php';
try {checkPermission('CHECK_LICENSE_KEY');} catch (Exception $e) {die($e->getMessage());}

$license = @$_POST['license'];

if (!isset($license)) {
    $query = "SELECT value FROM `ust_meta` WHERE `key`='LICENSE'";
    $stmt = $db->prepare($query);
    $stmt->execute();
    $license = $stmt->fetch(PDO::FETCH_COLUMN);
}

if (!isset($license) || !$license || strlen($license) < 10) {
    die('false');
}

require_once '../isWordpress.php';
$wp = isWordpress();

$current_version = $db->query("SELECT value FROM `ust_meta` WHERE `key`='VERSION'")->fetch(PDO::FETCH_COLUMN);

$REMOTE_LICENSE_API_URL = 'https://license-api.uxwizz.com';

$LICENSE_CHECK_URL = $REMOTE_LICENSE_API_URL . '/download?license=' . $license . '&check'. '&cv=' . $current_version;

if ($wp) {
    $LICENSE_CHECK_URL .= '&variant=wp';
}

/*** START CONNECTIVITY PRE-CHECKS ***/
if (!ini_get('allow_url_fopen')) {
    die('allow_url_fopen is disabled. Please set allow_url_fopen=On in php.ini.');
}
$test_connection_ok = @file_get_contents($REMOTE_LICENSE_API_URL);
if (!$test_connection_ok) {
    die('Could not connect to license server: ' . $REMOTE_LICENSE_API_URL); 
}
/*** END CONNECTIVITY PRE-CHECKS ***/

$res = trim(@file_get_contents($LICENSE_CHECK_URL));

if ($res === 'Support period expired.') {
    die('valid_no_support');
}

if ($res !== 'true') {
    die('false');
}

die('true');
?>